JS-error while using a global custom query w/ project filter in a project context

2013-10-24 14:58 - Danil Tashkinov

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 2.3.4   

Resolution: Fixed Affected version: 2.3.3

Description

Hi,

If I open custom query within a project then I got this error in application.js:120

Uncaught TypeError: Cannot read property 'type' of undefined

I see this error if I use project filter in custom query.

Associated revisions

Revision 12234 - 2013-10-26 08:56 - Jean-Philippe Lang

Fixed: JS-error while using a global custom query w/ project filter in a project context (#15190).

Revision 12260 - 2013-11-10 10:52 - Jean-Philippe Lang

Merged r12234 (#15190).

History

#1 - 2013-10-26 03:05 - Mischa The Evil

- Subject changed from Error while open custom query with project in filter to JS-error while using a global custom query w/ project filter in a project

context

- Status changed from New to Confirmed

This message is given because the project filter is not available on project issues lists, only on the cross-project issues list (/issues).

OTOH: the filter and it's values seem to be actually used (correctly!) when using the query in a project context...

I tested this using Opera 12.16, which gives the following message: Unhandled Error: Cannot convert 'filterOptions' to object. Though, these

messages does not seem to stop any functionalities of Redmine from working.

Danil, what browser do you use and (how) does the error affect the usability in your case?

#2 - 2013-10-26 08:57 - Jean-Philippe Lang

- Status changed from Confirmed to Resolved

- Assignee set to Jean-Philippe Lang

- Target version set to 2.3.4

- Resolution set to Fixed

Fixed in r12234.

#3 - 2013-11-10 10:52 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
